Bug 12102 - timezone portability issues in rpm 3.0.4
timezone portability issues in rpm 3.0.4
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-11 20:03 EDT by espie
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 13:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description espie 2000-06-11 20:03:57 EDT
Older unix systems included a timezone function, which has nothing
in common with linux timezone variable.

The test to check whether timezone exists in configure.in is bogus.
Moreover, the systematic addition of timezone in 
build/ParseChangelog.c
is bogus as well.
Comment 1 Jeff Johnson 2000-06-14 09:17:43 EDT
Can you send a patch please? It's hard to guess what OpenBSD needs otherwise.
Comment 2 Jeff Johnson 2000-07-31 11:44:45 EDT
If you append a patch to this report, I will try to include.
Comment 3 Jeff Johnson 2001-07-29 11:34:56 EDT
Please reopen with a patch.

Note You need to log in before you can comment on or make changes to this bug.